Subject: Ticket Assigned - Disappointed - 4712660112
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 02 Feb 2023 02:52:30 +0000

Hi Mohammad Khalid,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Disappointed - 4712660112 Dear Sir / Madam

I placed an order on 30th Jan 2023, and following up the order to receive
today as it is urgent

I have called you call center and requested them several times but
unfortunately they don’t have any solution or answer than saying “we will
try our best”

They don’t even have access to contact the store and make sure the delivery
is possible or no

How poor system or a process for a store like center point

If the item is in Doha , I don’t know why center point can’t make it today

I have told them if they can’t bring to the store I requested, I will go to
any of your store and collect

Really disappointed with your service and the process

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5649930